package open.dolphin.delegater.remote;

import open.dolphin.delegater.LaboDelegater;
import javax.naming.NamingException;
import open.dolphin.service.ILaboService;
import open.dolphin.service.remote.RemoteLaboService;

public class RemoteLaboDelegater extends LaboDelegater {

    private RemoteLaboService service;

    public RemoteLaboDelegater() {
        service = new RemoteLaboService();
    }

    @Override
    protected ILaboService getService() throws NamingException {
        //     if (service == null) {
        //       service = new RemoteLaboService();
        //    }
        return service;
    }
}
